### Signal

# Gtk TextBuffer::apply-tag

#### Declaration

    void
    apply_tag (
      GtkTextBuffer* self,
      GtkTextTag* tag,
      const GtkTextIter* start,
      const GtkTextIter* end,
      gpointer user_data
    )

#### Description [src]

Emitted to apply a tag to a range of text in a `GtkTextBuffer`.

Applying actually occurs in the default handler.

Note that if your handler runs before the default handler it must not invalidate the `start` and `end` iters (or has to revalidate them).

See also: `gtk_text_buffer_apply_tag()`, `gtk_text_buffer_insert_with_tags()`, `gtk_text_buffer_insert_range()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`tag`

  Type: `GtkTextTag`

  The applied tag.

  The data is owned by the caller of the function.

`start`

  Type: `GtkTextIter`

  The start of the range the tag is applied to.

  The data is owned by the caller of the function.

`end`

  Type: `GtkTextIter`

  The end of the range the tag is applied to.

  The data is owned by the caller of the function.